extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "soulhp:saulgoodman_layer1",
    "layer2": "soulhp:saulgoodman_layer2",
    "shield": "soulhp:saulgoodman_shield"
});

function init(renderer) {
    parent.init(renderer);
}

function initEffects(renderer) {
    parent.initEffects(renderer);

    var livery = renderer.bindProperty("fiskheroes:livery");
    livery.texture.set("shield");
    livery.weaponType = "SHIELD";

    var equipped = renderer.bindProperty("fiskheroes:equipped_item");
    equipped.setItems([
        { "anchor": "body", "scale": 1.0, "offset": [0.0, 5.0, 2.75], "rotation": [90.0, -180.0, 0.0] }
    ]);
    equipped.addOffset("QUIVER", -0.5, 0.0, 2.86);

}
